QGIS Application - Bug report #4914
field calculator: it allows compute new columns with no name
2012-01-30 05:55 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Nathan Woodrow

Category: Vectors

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 14721
Description

I'm not sure this is a bug, so eventually close this as invalid.

In the field calculator it is possible to create an expression without having to choose the name of the new column, nor choosing to update
an existing one.

the result is that a new column is created, but it has no name.

Is this allowed?

Tested on master.

Associated revisions

Revision cc5c8a3b - 2012-02-01 07:22 AM - Nathan Woodrow

Check for empty field name. Fixes #4914

History

#1 - 2012-01-30 06:20 AM - Nathan Woodrow

This is a bug. | might have introduced it when | did the latest refactor. I'll look into over the next few days.

#2 - 2012-01-31 11:15 PM - Anonymous
- % Done changed from 0 to 100
- Status changed from Open to Closed

Fixed in changeset commit:"cc5¢8a3b954a5¢c8¢c749f74c81b8c654b30216d19".
